﻿@{
    Layout = "~/Views/Shared/_Layout_Admin.cshtml";
}
@using BenhVien.UI.Models;
@model ThongTinChiTietNhapVien
<div class="x_panel">
    <div class="x_title">
        <h2><i class="fa fa-pencil"></i>Nhập viện</h2>
        <div class="clearfix"></div>
        <ul class="nav nav-tabs bar_tabs nhomquyen col-md-12" role="tablist">
            <li role="presentation" class="active"><a href="#" id="thongtincoban">Thông tin cơ bản</a></li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <form id="frm-capnhat1" method="post" enctype="multipart/form-data" novalidate="novalidate" class="fv-form fv-form-bootstrap">
            <input type="hidden" id="NhapVienID" name="NhapVienID" value="@(Model != null ? Model.NhapVien.Id:0)" />
            <input type="hidden" id="Id" name="Id" value="@(Model != null && Model.ChiTietNhapVien != null ? Model.ChiTietNhapVien.Id:0)" />
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Mã bệnh án</label>
                    <div>
                        <input type="text" class="form-control" id="MaBenhAn" name="MaBenhAn" readonly value="@(Model != null && Model.NhapVien.MaBenhAn != null?Model.NhapVien.MaBenhAn:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Họ tên</label>
                    <div>
                        <input type="text" class="form-control" id="HoTen" name="HoTen" readonly value="@(Model != null && Model.NguoiDung.HoTen != null?Model.NguoiDung.HoTen:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Ngày sinh</label>
                    <div>
                        <input type="text" class="form-control" id="NgaySinh" name="NgaySinh" readonly value="@(Model != null && Model.NguoiDung.NgaySinh != null?Model.NguoiDung.NgaySinh.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
            </div>

            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Số BHYT</label>
                    <div>
                        <input type="text" class="form-control" id="SoBHYT" name="SoBHYT" readonly value="@(Model != null && Model.NguoiDung.SoBHYT != null?Model.NguoiDung.SoBHYT:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Ngày áp dụng</label>
                    <div>
                        <input type="text" class="form-control" id="NgayApDungBHYT" name="NgayApDungBHYT" readonly value="@(Model != null && Model.NguoiDung.NgayApDungBHYT != null?Model.NguoiDung.NgayApDungBHYT.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Ngày kết thúc</label>
                    <div>
                        <input type="text" class="form-control" id="NgayHetHanBHYT" name="NgayHetHanBHYT" readonly value="@(Model != null && Model.NguoiDung.NgayHetHanBHYT != null?Model.NguoiDung.NgayHetHanBHYT.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Giới tính:</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="GioiTinh" id="GioiTinh" disabled="@(Model != null)">
                            <option value="" @(Model == null ? "selected" : "")>Chọn giới tính....</option>
                            <option value="1" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 1 ? "selected" : "")>Nam</option>
                            <option value="2" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 2 ? "selected" : "")>Nữ</option>
                            <option value="3" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 3 ? "selected" : "")>Khác</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <label class="control-label" for="first-name">Địa chỉ:</label>
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <input type="text" class="form-control" id="DiaChi" readonly name="DiaChi" value="@(Model != null && Model.NguoiDung.DiaChi != null? Model.NguoiDung.DiaChi:"" )" autocomplete="off" )>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Khoa</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="KhoaID" id="KhoaID">
                            @Html.Raw(ViewBag.cbxKhoa)
                        </select>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Phòng</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="PhongID" id="PhongID">
                            <option value="">Chọn phòng....</option>
                        </select>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Giường</label>
                    <div>
                        <a class="btn btn-xs btn-primary" onclick="ChonGiuong()"><i class="fa fa-plus"></i>Cấp giường</a>
                        @*<select class="ctr-select" data-live-search="true" name="GiuongID" id="GiuongID">
                            <option value="">Chọn giường....</option>
                        </select>*@
                    </div>
                </div>
            </div>
            
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Bác sĩ điều trị</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" id="BacSiID" name="BacSiID">
                            <option value="">Chọn bác sĩ ....</option>

                        </select>
                    </div>
                </div>
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Y tá</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" id="YTaID" name="YTaID">
                            <option value="">Chọn y tá ....</option>
                        </select>
                    </div>
                </div>
            </div>
           
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán tuyến trước</label>
                    <div>
                        <input type="text" class="form-control" id="ChuanDoanTuKhoaTruoc" name="ChuanDoanTuKhoaTruoc" value="@(Model != null && Model.ChiTietNhapVien != null && Model.ChiTietNhapVien.ChuanDoanTuKhoaTruoc != null?Model.ChiTietNhapVien.ChuanDoanTuKhoaTruoc.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán bệnh</label>
                    <div>
                        <input type="text" class="form-control" id="ChuanDoanTamThoi" name="ChuanDoanTamThoi" value="@(Model != null && Model.ChiTietNhapVien != null && Model.ChiTietNhapVien.ChuanDoanTamThoi != null?Model.ChiTietNhapVien.ChuanDoanTamThoi.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
          
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán bệnh</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="BenhID" id="BenhID">
                            @Html.Raw(ViewBag.cbxBenh)
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Kết luận</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                            <option value="" @(Model == null ? "Selected" : "")>Chọn trạng thái</option>
                            <option value="@EnumTrangThaiNhapVien.XUAT_VIEN" @((Model != null && Model.NhapVien.TrangThaiID == EnumTrangThaiNhapVien.XUAT_VIEN) ? "Selected" : "")>@EnumTrangThaiNhapVien.ToString(EnumTrangThaiNhapVien.XUAT_VIEN)</option>
                            <option value="@EnumTrangThaiNhapVien.CHUYEN_TUYEN" @((Model != null && Model.NhapVien.TrangThaiID == EnumTrangThaiNhapVien.CHUYEN_TUYEN) ? "Selected" : "")>@EnumTrangThaiNhapVien.ToString(EnumTrangThaiNhapVien.CHUYEN_TUYEN)</option>
                            <option value="@EnumTrangThaiNhapVien.DANG_NOI_TRU" @((Model != null && Model.NhapVien.TrangThaiID == EnumTrangThaiNhapVien.DANG_NOI_TRU) ? "Selected" : "")>@EnumTrangThaiNhapVien.ToString(EnumTrangThaiNhapVien.DANG_NOI_TRU)</option>
                          
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="clearfix"></div>
                <div class="ln_solid"></div>

                <div class="form-group clearfix">
                    <div class="col-md-12 col-sm-12 col-xs-12 text-right">
                        <a class="btn btn-info" onclick="ChonChiPhi()">Chi phí</a>
                        <a class="btn btn-danger" onclick="ChonDonThuoc()">Cấp đơn thuốc</a>
                        <a class="btn btn-success" onclick="ChonDatCoc()">Đặt cọc viện phí</a>
                        <a class="btn btn-warning" onclick="ChonDichVu()">Xét nghiệm</a>
                        <a class="btn btn-danger" onclick="ChonTheoDoi()">Sổ theo dõi hàng ngày</a>
                        <a class="btn btn-primary" href="@Url.Action("MainPage","NhapVien", new { area = "QuanTri"})">Hủy</a>
                        <a id="btn-save1" onclick="SaveData()" class="btn btn-success">Lưu</a>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal" tabindex="-1" role="dialog" id="modal-capnhatthongtin"></div>
<div class="modal" tabindex="-1" role="dialog" id="modal-themmoithongtin"></div>
<script>
    mnActive = "mn-nhapvien";
    var donThuocID = 0;
    var sudungdichvuID = 0;
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('#KhoaID').change();
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            $('#frm-capnhat1').formValidation('updateStatus', 'BirthDay', 'NOT_VALIDATED').formValidation('validateField', 'BirthDay');
        });
    });

</script>
<script>
    $(document).on("change", "[name=KhoaID]", function () {
        debugger;
        var id = $('[name=KhoaID]').val();
        var select = '@(Model != null && Model.ChiTietNhapVien != null ? Model.ChiTietNhapVien.KhoaID: null)';
        var params = {
            id: id,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetPhongByKhoa", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    debugger;
                    $('#PhongID').html(data.data.cbxPhong);
                    $("#PhongID").selectpicker("refresh");
                    $('#PhongID').val('@(Model != null && Model.ChiTietNhapVien != null ? Model.ChiTietNhapVien.PhongID.ToString(): "")').change();

                    $('#BacSiID').html(data.data.cbxBacSi);
                    $("#BacSiID").selectpicker("refresh");
                    $('#BacSiID').val('@(Model != null && Model.ChiTietNhapVien != null ? Model.ChiTietNhapVien.BacSiID.ToString(): "")').change();


                    $('#YTaID').html(data.data.cbxYTa);
                    $("#YTaID").selectpicker("refresh");
                    $('#YTaID').val('@(Model != null && Model.ChiTietNhapVien != null ? Model.ChiTietNhapVien.YTaID.ToString(): "")').change();

                }
            }
        });
    });

    @*let dataModel = @Html.Raw(Json.Encode(Model.OrderDetails));*@
    $(function () {
        $('#ValueDate').datetimepicker({ format: 'DD/MM/YYYY' });
        $('#ExpireDate').datetimepicker({
            format: 'DD/MM/YYYY',
        });
    });

    function ChonGiuong() {
        var khoa = $('#KhoaID').val();
        var phong = $('#PhongID').val();
        var chitietID = $('#Id').val();
        if (khoa == null || khoa == '') {
            alertify.error("Chọn khoa điều trị");
            return;
        }
        if (phong == null || phong == '') {
            alertify.error("Chọn phòng điều trị trong khoa");
            return;
        }
        var params = {
            khoa: khoa,
            phong: phong,
            chitietID: chitietID,
        }
        $.ajax({
            url: '@Url.Action("GetGiuongByPhong", "NhapVien", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }

    function ChonChiPhi() {
        debugger;
         let viewBag = @Html.Raw(Json.Encode(Model));
        var params = {
            id: '@Model.NhapVien.Id'
        }
        $.ajax({
            url: '@Url.Action("ExportExcel", "NhapVien", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    alertify.success(data.msg);

                }
                else {
                    alertify.error(data.msg);

                }
            }
        });

    }
    function ChonTheoDoi() {
        var params = {
            id: '@Model.NhapVien.Id'
        }
        $.ajax({
            url: '@Url.Action("SoTheoDoiHangNgay", "NhapVien", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }
    function ChonDatCoc() {
        var nhapVienID = $('#NhapVienID').val();
        var params = {
            nhapVienID: nhapVienID,
        }
        $.ajax({
            url: '@Url.Action("DatCocVienPhi", "NhapVien", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });
    }

    function ChonDonThuoc() {
        console.log(donThuocID);
        var id = "";
        if (donThuocID == 0) {
            id = '@(Model.DonThuoc != null ? Model.DonThuoc.Id : -1)';
        } else {
            id = donThuocID;
        }
        var thongtinID = "";
        var data =  @Html.Raw(Json.Encode(Model));
        console.log(data);
        if(data.DonThuoc != null){
            if(data.DonThuoc.NhapVienID != null){
                thongtinID = data.DonThuoc.KhamBenhID;
            }else  if(data.DonThuoc.KhamBenhID != null){
                thongtinID = data.DonThuoc.KhamBenhID;
            }
        }
        var params = {
            id: id,
            thongtinID: thongtinID

        }
        $.ajax({
            url: '@Url.Action("DonThuocKhamBenh", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }
    function ChonDichVu() {
        console.log(donThuocID);
        var id = "";
        if (donThuocID == 0) {
            id = '@(Model.DichVu != null ? Model.DichVu.Id : -1)';
        } else {
            id = donThuocID;
        }
        var params = {
            id: id
        }
        $.ajax({
            url: '@Url.Action("SuDungDichVu", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }
</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                PhongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                GiuongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                Mach: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhipTho: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                ChieuCao: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhietDo: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                CanNang: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                HuyetAp: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                Creatinin: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                BMI: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DoThanhThai: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
            }
        })
    });
    function SaveData(){
        $.ajax({
            url: '@Url.Action("Update", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            dataType: 'json',
            mimeType: "multipart/form-data",
            contentType: false,
            processData: false,
            async: false,
            cache: false,
            data: new FormData(document.getElementById('frm-capnhat1')),
            success: function (data) {
                if (data.kq == "ok") {
                    alertify.success(data.msg);
                    location.reload();
                }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }
</script>



